/*
	
	GRIM DAWN	
	scripts/game/questevents.lua
	
	For more information, visit us at http://www.grimdawn.com
	
*/

--
-- Quest event dispatch tables
--

clientQuestTable = 	{	 
						-- Global quest events here (no server check here or in the dispatch function)
						npcHostileSwapToken = gd.quests.flavorEvent.hostileSwitchGlobalMP,
						
						-- Global Quest Events for Bestowing Quests (no server check here or in the dispatch function)
						killBossBeginQuest = gd.MPQuestControl.bestowKillBossQuestGlobalMP,
						killBossReturnBeginQuest = gd.MPQuestControl.bestowKillBossReturnQuestGlobalMP,
						openDoorBeginQuest = gd.MPQuestControl.bestowOpenDoorQuestGlobalMP,

					};

serverQuestTable = 	{
						-- Server-run quest events here (server check here and in the dispatch function for good measure)
						npcHostileSwitch = gd.quests.flavorEvent.hostileSwitch,
						openTestDoor = gd.quests.flavorEvent.openDoorQuest,

					};
					